Summary: Red Hat DNS configuration tool
Name: bindconf
Version: 1.4
Release: 1
License: GPL
Group: Applications/System
Source: %{name}-%{version}.tar.gz
BuildRoot: %{_tmppath}/%{name}-root
BuildArch: noarch
BuildPreReq: python >= 1.5.2
BuildPreReq: alchemist >= 0.14
Requires: python >= 1.5.2
Requires: alchemist >= 0.14
Requires: pygtk pygnome
Requires: bind
Requires: 4Suite
Requires: usermode

%description
Graphical configuration tool that allows you to configure basic DNS settings

%prep
%setup -q

%build
%configure
make

%install
rm -fr $RPM_BUILD_ROOT
%makeinstall

%__mkdir_p \
$RPM_BUILD_ROOT/{usr/bin,etc/alchemist/switchboard,etc/alchemist/namespace/dns,usr/sbin,usr/share/bindconf}

%__mkdir_p $RPM_BUILD_ROOT/etc/security/console.apps \
           $RPM_BUILD_ROOT/etc/pam.d
%__install -m644 bindconf.console $RPM_BUILD_ROOT/etc/security/console.apps/%{name}
%__install -m644 bindconf.pam $RPM_BUILD_ROOT/etc/pam.d/%{name}
%__ln_s consolehelper $RPM_BUILD_ROOT/usr/bin/%{name}

mv $RPM_BUILD_ROOT/%{_docdir}/%{name}-%{version} $RPM_BUILD_ROOT/%{_docdir}/%{name}

%find_lang %{name}

%clean
rm -fr $RPM_BUILD_ROOT

%preun
if [ -d %{_localstatedir}/cache/alchemist/dns ]; then
    rm -f %{_localstatedir}/cache/alchemist/dns/*
fi 

%files -f %{name}.lang
%defattr(-,root,root)
%doc BUGS 
%doc $RPM_BUILD_ROOT%{_docdir}/%{name}/*
/usr/bin/%{name}
/usr/sbin/%{name}-gui
/usr/share/%{name}
/usr/share/kontrol-panel/%{name}.desktop
/usr/share/kontrol-panel/icons/*
/etc/X11/applnk/System/%{name}.desktop
%dir %{_localstatedir}/cache/alchemist/dns
%dir /etc/alchemist/namespace/dns
%config(noreplace) /etc/alchemist/namespace/dns/local.adl
%config /etc/alchemist/switchboard/dns.switchboard.adl
%config /etc/pam.d/%{name}
%config /etc/security/console.apps/%{name}

%changelog
* Tue Mar 20 2001 Harald Hoyer <harald@redhat.de> 1.4-1
- Updated German translation
- Added more len(NULL) exception preventions

* Sun Mar 18 2001 Yukihiro Nakai <ynakai@redhat.com> 1.4-1
- Update Japanese translation
- Add Japanese trasnlation to *.desktop

* Thu Mar 08 2001 Harald Hoyer <harald@redhat.de> 1.3-1
- added documentation

* Mon Mar 05 2001 Harald Hoyer <harald@redhat.de> 1.2-1
- added noreplace for the real user configuration file
- specfile cleanups

* Thu Mar 01 2001 Harald Hoyer <harald@redhat.de> 1.1-1
- fixed PTR list bug
- fixed specfile: BUGS entry in files

* Wed Feb 28 2001 Elliot Lee <sopwith@redhat.com> 1.0-1
- Release

* Tue Feb 27 2001 Trond Eivind Glomsrd <teg@redhat.com>
- i18n update

* Fri Feb 23 2001 Elliot Lee <sopwith@redhat.com> 0.12-1
- Update to new version

* Thu Feb 22 2001 Harald Hoyer <harald@redhat.de> 0.11
- more fixes and tests

* Wed Feb 21 2001 Elliot Lee <sopwith@redhat.com> 0.10-1
- Update

* Thu Feb 15 2001 Harald Hoyer <harald@redhat.com> 0.8-2
- integrated elliots distcheck changes

* Wed Feb 14 2001 Elliot Lee <sopwith@redhat.com> 0.4-1
- new version

* Tue Feb 13 2001 Harald Hoyer <harald@redhat.com> 0.8
- major GUI changes from <jrb@redhat.com> and <sopwith@redhat.com>
- switched to automake

* Fri Feb 10 2001 Harald Hoyer <harald@redhat.com> 0.7-1/2/3
- fixed zone.conf.xsl
- fixed named.conf.xsl
- fixed bindconf.py typo
- added default Contact

* Wed Feb 08 2001 Harald Hoyer <harald@redhat.com> 0.6-1
- fixed TTLs in newly created zones
- added i18n in spec file
- fixed some unlink errors

* Wed Feb 07 2001 Harald Hoyer <harald@redhat.com> 0.5-1
- switched to xslt and new data layer

* Wed Jan 24 2001 Elliot Lee <sopwith@redhat.com> 0.4-1
- New version

* Mon Jan 22 2001 Elliot Lee <sopwith@redhat.com> 0.2-1
- Make a changelog entry because the build system wants one. Die, build system!

* Thu Jan 18 2001 Elliot Lee <sopwith@redhat.com> 0.1-1
- Initial specfile
